Aller au contenu

Lister les mises en attente

GET/api/public/v1/holds

Fenêtre de terminal
curl --fail-with-body -X GET 'https://app.openlatch.ai/api/public/v1/holds' \
-H "Authorization: Bearer $OPENLATCH_API_KEY"
Rôle dans l’organisationCe point de terminaison
ownerAutorisé
adminAutorisé
editorAutorisé
viewerAutorisé

Une clé porte le rôle que son propriétaire détient dans l’organisation. Voir Authentification.

Portée de clé d’API : triage:read

ParamètreTypeDescription
zonestring (uuid) or null
agentstring or null
statestring
pageinteger
page_sizeinteger
ChampTypeDescription
dataarray of objectObligatoire.
data[].action_summarystring or null
data[].agent_idstring or null
data[].decided_atstring (date-time) or null
data[].effectsarray of object
data[].idstringObligatoire.
data[].native_tool_use_idstringObligatoire.
data[].policy_public_idstring or null
data[].requested_atstring (date-time)Obligatoire.
data[].statestringObligatoire.
data[].timeout_atstring (date-time)Obligatoire.
pageintegerObligatoire.
page_sizeintegerObligatoire.
totalintegerObligatoire.
{
"data": [
{
"action_summary": "string",
"agent_id": "agt_01jbwa2k1vfrn9y42xhgxhmzj2",
"decided_at": "2026-01-15T14:32:05Z",
"effects": [
{}
],
"id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"native_tool_use_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"policy_public_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"requested_at": "2026-01-15T14:32:05Z",
"state": "string",
"timeout_at": "2026-01-15T14:32:05Z"
}
],
"page": 1,
"page_size": 3,
"total": 3
}